Bug 26360 - gpg-sign hangs on long messages
gpg-sign hangs on long messages
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: pine (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-06 16:16 EST by Aleksey Nogin
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-06 17:20:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2001-02-06 16:16:39 EST
When I try to filter a long message through gpg-sign, it often hangs (it
hangs for some messages, but not others, but consistently for each
particular message).

If I use the debug-all option, gpg asks me for password and than hangs
after displaying

gpg: DBG: iobuf-5.0: open `[stdin]' fd=0
gpg: DBG: iobuf-6.0: create `file_filter'
gpg: DBG: iobuf-5.0: underflow: req=8192 got=8192 rc=0

 If I run gpg by hands, it continues with

gpg: DBG: iobuf-5.0: underflow: req=8192 got=3878 rc=0
gpg: DBG: iobuf-5.0: underflow: req=8192 got=0 rc=-1
gpg: DBG: iobuf-5.0: underflow: eof
gpg: DBG: armor-filter: control: 5
gpg: DBG: iobuf-6.1: push `armor_filter'
gpg: DBG: armor-filter: control: 5
Comment 1 Aleksey Nogin 2001-02-06 16:27:56 EST
For some strange reason, the following change fixed the problem:

--- /usr/bin/pinegpg.orig       Tue Oct 31 15:43:55 2000
+++ /usr/bin/pinegpg    Tue Feb  6 15:29:07 2001
@@ -3,7 +3,7 @@
 n=1
 r=1
 case $0 in
-       *gpg-sign)              gpg -at -s $*;          n=$?    ;;
+       *gpg-sign)              cat - | gpg -at -s $*;          n=$?    ;;
        *gpg-encrypt)           gpg -at -e $*;          n=$?    ;;
        *gpg-sign+encrypt)      gpg -at -se $*;         n=$?    ;;
        *gpg-check)
Comment 2 Mike A. Harris 2001-02-08 01:22:05 EST
Okee dokey.. Fixed in latest build.. should appear in rawhide real
soon now.

Note You need to log in before you can comment on or make changes to this bug.